Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
dln.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | _(args) ()

## Functions
| DEPRECATED (char *dln_find_exe(const char *, const char *))
char * | dln_find_exe_r (const char *, const char *, char *, size_t)
char * | dln_find_file_r (const char *, const char *, char *, size_t)
void * | dln_load (const char *)

## Macro Definition Documentation

#define _ | ( |  | args | ) | ()

Definition at line 28 of file dln.h.

Referenced by decode_enum(), decode_int(), decode_time(), ossl_buf2str(), ossl_client_cert_cb(), ossl_dsa_to_der(), ossl_pkcs12_initialize(), ossl_protect_membio2str(), ossl_protect_obj2bio(), ossl_rsa_to_der(), ossl_sslctx_session_get_cb(), ossl_sslctx_session_new_cb(), ossl_sslctx_session_remove_cb(), and ossl_tmp_dh_callback().

## Function Documentation

DEPRECATED | ( | char * | dln_find_execonst char *, const char * | ) |

char* dln_find_exe_r | ( | const char * | ,
|  | const char * | ,
|  | char * | ,
|  | size_t |
| ) |  |

Definition at line 77 of file dln_find.c.

References buf, dln_find_1(), free, getenv(), PATH_ENV, and strdup.

Referenced by dln_find_exe(), proc_exec_cmd(), proc_exec_sh(), proc_exec_v(), rb_exec_fillarg(), rb_w32_aspawn_flags(), and rb_w32_spawn().

char* dln_find_file_r | ( | const char * | ,
|  | const char * | ,
|  | char * | ,
|  | size_t |
| ) |  |

Definition at line 99 of file dln_find.c.

References dln_find_1().

Referenced by dln_find_file(), process_options(), and ruby_init_loadpath_safe().

void* dln_load | ( | const char * |  | ) |

Definition at line 1249 of file dln.c.

References buf, DLN_ERROR, dln_load(), dln_loaderror(), dln_notimplement, dln_strerror(), errno, flags, free, init_funcname, MAXPATHLEN, NULL, p, rb_loaderror(), strcpy(), strdup, strerror(), strlcat(), strlcpy(), strlen(), translit_separator, UNREACHABLE, and void.

Referenced by dln_load(), and load_ext().